/* controls debugging in different parts of the program */

#include <stdio.h>
#include "debug.h"

extern char *progname;

unsigned int debug_flag = 0;

int
debug_opts(dbopt)
register char *dbopt;
{
	int errs = 0;
	
	setbuf(stdout, NULL);
	for(; *dbopt != '\0'; dbopt++)
		switch(*dbopt) {
		case 'a':
			debug_flag = ~0;
			printf("all DEBUG on\n");
			break;
		case 'c':
			debug_flag |= CHARDEBUG;
			printf("CHARDEBUG on\n");
			break;
		case 'd':
			debug_flag |= DRAWDEBUG;
			printf("DRAWDEBUG on\n");
			break;
		case 'f':
			debug_flag |= FONTDEBUG;
			printf("FONTDEBUG on\n");
			break;
		case 'm':
			debug_flag |= MISCDEBUG;
			printf("MISCDEBUG on\n");
			break;
		case 's':
			debug_flag |= SEEKDEBUG;
			printf("SEEKDEBUG on\n");
			break;
		case 't':
			debug_flag |= TYPEDEBUG;
			printf("TYPEDEBUG on\n");
			break;
		case 'w':
			debug_flag |= WINDOWDEBUG;
			printf("WINDOWDEBUG on\n");
			break;
		default:
			errs++;
			(void) fprintf(stderr, "%s: bad -d option `%c'\n",
				       progname, *dbopt);
			break;
		}
	if (errs > 0)
		(void) fprintf(stderr, "%s: valid chars are any of `acdfmstw'\n",
			       progname);
	return errs;
}
